﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.display.DisplayObject;
	
	public class Boussoler extends Sprite
	{
		private var col:uint = 50;
		private var line:uint = 50;
		private var clip:Sprite;
		private var angle:Number;
		
		  private var _radius:Number;
	  
	  private var numPoints:int;
	  
	  private var tmin:Number;
	  
	  private var tmax:Number;
	  
		public function Boussoler()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
			
		
		_radius=100;
		
		numPoints=1000;
		tmin=0;
		
		tmax=10*Math.PI;
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			while(numChildren>0){
				var c:DisplayObject = getChildAt(0);
				removeChildAt(0);
				c = null;
			}
			init();
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			init();
		}
		private function init():void
		{
			enterHandler();


		}
		
		private function enterHandler():void
		{
		var i:int;
		
		var curx:Number;
	
	    var cury:Number;

	    var tstep:Number;
		
		var pArray:Array=[];
		
		var a:Number = 1;
		var c:Number = 1;
	   
	     tstep=(tmax-tmin)/numPoints;
		
		for(i=0;i<=25;i++){
		pArray[i]=[];
			
		  curx=_radius*a*Math.sin(8*(tmin+tstep*i)/5)*Math.cos(tmin+tstep*i);
		
		  cury=_radius*a*Math.sin(8*(tmin+tstep*i)/5)*Math.sin(tmin+tstep*i);
		  		  
		  for(var j:uint=1;j<col;j++){
		  clip = new Sprite();
					clip.graphics.lineStyle(5,0x000000);
					clip.graphics.moveTo(curx,-10);
					clip.graphics.lineTo(cury,1);

					//clip.graphics.curveTo(curx,cury,curx,cury);
					clip.x = i*25;
					clip.y = j*13;
					addChild(clip);
					clip.addEventListener(Event.ENTER_FRAME, onEnter);

		  }
		
		}
		
			
			//angle = Math.atan((e.currentTarget.y-mouseY)/(e.currentTarget.x-mouseX));
			//angle = curx;
			
			//clip.rotationX = angle*180/Math.PI+Math.sin(angle)*500;
			
			//e.currentTarget.scaleY = angle;
		}
		
		function onEnter (e:Event):void {
			e.currentTarget.rotationY += 1;
			//e.currentTarget.rotationX = mouseX;
			
			
			
		}
		
		
		
		
		public function set radius(r:Number):void {
		
		_radius=r;
		
		clearAll();
		
	}
	
	public function get radius():Number {
		
		return _radius;
	}
	
	
	public function clearAll():void {
		
		this.graphics.clear();
	}
	}
}